'use strict';

var tslib_es6 = require('./tslib.es6-2c2ed574.js');
var React = require('react');
var core = require('@mantine/core');
var index = require('./index-a31ed3e1.js');

function _interopDefault (e) { return e && e.__esModule ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

/**
 * @deprecated Consider to use import { Title } from '@mantine/core'
 * if need to use custom tag, use Text from mantine instead
 */
const Heading = (_a) => {
    var { as, tag, color, fontWeight, dataEventCategory, dataEventAction, dataEventLabel } = _a, rest = tslib_es6.__rest(_a, ["as", "tag", "color", "fontWeight", "dataEventCategory", "dataEventAction", "dataEventLabel"]);
    const asTag = as || tag;
    const theme = core.useMantineTheme();
    return (React__default["default"].createElement(index.Text, Object.assign({ as: asTag, color: color || theme.colors.gray[8], "data-event-category": dataEventCategory, "data-event-action": dataEventAction, "data-event-label": dataEventLabel, weight: fontWeight === 'semibold' ? 'semiBold' : 'bold', size: tag, "data-size": tag, "data-font-weight": fontWeight || undefined }, rest)));
};

exports.Heading = Heading;
